For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
      • POSTCreate an Embed Job
      • GETList Embed Jobs
      • GETFetch an Embed Job
      • POSTCancel an Embed Job
  • Deprecated
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Endpointsv1/embed-jobs

Cancel an Embed Job

POST
https://api.cohere.com/v1/embed-jobs/:id/cancel
POST
/v1/embed-jobs/:id/cancel
1import cohere
2
3co = cohere.Client()
4
5# cancel an embed job
6co.embed_jobs.cancel("job_id")
1{}
This API allows users to cancel an active embed job. Once invoked, the embedding process will be terminated, and users will be charged for the embeddings processed up to the cancellation point. It's important to note that partial results will not be available to users after cancellation.
Was this page helpful?
Previous

Create a transcription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the embed job to cancel.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response headers

X-API-Warningstring
The name of the project that is making the request.

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error